# encoding: utf-8

module Phonetic
  DM_SOUNDEX_TEST_TABLE = {
    'Abucay'           => ['075000', '074000'],
    'Ajuna'            => ['060000'],
    'Akeem'            => ['056000'],
    'Alfa'             => ['087000'],
    'Alpert'           => ['087930'],
    'Alysa'            => ['084000'],
    'Amani'            => ['066000'],
    'Angélica'         => ['065850', '065840'],
    'Aniyah'           => ['060000'],
    'Anja'             => ['060000', '064000'],
    'Annemarie'        => ['066900'],
    'Applaud'          => ['078300'],
    'Aputsiaq'         => ['074500'],
    'Arathana'         => ['093600'],
    'Asdic'            => ['043500', '043400'],
    'Ashtrays'         => ['043940'],
    'Athie'            => ['030000'],
    'Australia'        => ['043980'],
    'Badou'            => ['730000'],
    'Ballina'          => ['786000'],
    'Beteng'           => ['736500'],
    'Bethany'          => ['736000'],
    'Bineta'           => ['763000'],
    'Boto'             => ['730000'],
    'Brandon'          => ['796360'],
    'Breuer'           => ['791900'],
    'Brushcut'         => ['794530', '794300'],
    'Caja'             => ['510000', '410000'],
    'Caleb'            => ['587000', '487000'],
    'Carina'           => ['596000', '496000'],
    'Carol'            => ['598000', '498000'],
    'Cassidy'          => ['543000', '443000'],
    'Cayetano'         => ['513600', '413600'],
    'Charlotte'        => ['598300', '498300'],
    'Cheboh'           => ['570000', '470000'],
    'Chloe'            => ['580000', '480000'],
    'Christoffersen'   => ['594379', '494379', '594374', '494374'],
    'Cleo'             => ['580000', '480000'],
    'Colby'            => ['587000', '487000'],
    'Conner'           => ['569000', '469000'],
    'Considine'        => ['564360', '464360'],
    'Cormac'           => ['596500', '496500', '596400', '496400'],
    'Cornell'          => ['596800', '496800'],
    'Corpuz'           => ['597400', '497400'],
    'Courtney'         => ['593600', '493600'],
    'Cszinchjou'       => ['465000', '464000', '465400'],
    'Cudkowicz'        => ['535740', '435740'],
    'Czstochowa'       => ['435700', '434700'],
    'Daina'            => ['360000'],
    'Daisha'           => ['340000'],
    'Damian'           => ['366000'],
    'Dan'              => ['360000'],
    'Daren'            => ['396000'],
    'Davidsen'         => ['374600'],
    'Deja'             => ['310000'],
    'Deltoid'          => ['383300'],
    'Denisse'          => ['364000'],
    'Derek'            => ['395000'],
    'Diakhou'          => ['350000'],
    'Dionysia'         => ['364000'],
    'Dixie'            => ['354000'],
    'Domenik'          => ['366500'],
    'Donny'            => ['360000'],
    'Dorian'           => ['396000'],
    'Draft'            => ['397300'],
    'Drsný'            => ['460000'],
    'Drzewica'         => ['475000', '474000'],
    'Dzhezkazgan'      => ['445456'],
    'Dzsenifer'        => ['467900'],
    'Ehemba'           => ['056700'],
    'Elarbi'           => ['089700'],
    'Emmet'            => ['063000'],
    'Estelle'          => ['043800'],
    'Fardin'           => ['793600'],
    'Floy'             => ['780000'],
    'Fodié'            => ['730000'],
    'Freeda'           => ['793000'],
    'Freud'            => ['793000'],
    'Fuji'             => ['710000'],
    'Gaoussou'         => ['540000'],
    'Garcia'           => ['595000', '594000'],
    'George'           => ['595000'],
    'Georgette'        => ['595300'],
    'Ginger'           => ['565900'],
    'Golden'           => ['583600'],
    'Gordillo'         => ['593800'],
    'Greg'             => ['595000'],
    'Guevarra'         => ['579000'],
    'Gutkowski'        => ['535745'],
    'Gwen'             => ['576000'],
    'Haber'            => ['579000'],
    'Hady'             => ['530000'],
    'Hagenes'          => ['556400'],
    'Hailee'           => ['580000'],
    'Halfback'         => ['587500', '587450'],
    'Handshake'        => ['564500'],
    'Hardtack'         => ['593500', '593450'],
    'Hazael'           => ['548000'],
    'Heitschmidt'      => ['546300'],
    'Hymn'             => ['566000'],
    'Iliana'           => ['086000'],
    'Ingegerd'         => ['065593'],
    'Irini'            => ['096000'],
    'Jaclyn'           => ['158600', '458600', '148600', '448600'],
    'Jackson-Jackson'  => ['154654','454654', '145465', '445465', '154645',
                           '454645', '145464', '445464', '154644', '454644'],
    'James'            => ['164000', '464000'],
    'Jamina'           => ['166000', '466000'],
    'Jamir'            => ['169000', '469000'],
    'Jannie'           => ['160000', '460000'],
    'Jerel'            => ['198000', '498000'],
    'Jerzy'            => ['140000', '440000', '194000', '494000'],
    'Jesse'            => ['140000', '440000'],
    'Joanie'           => ['160000', '460000'],
    'Joseph'           => ['147000', '447000'],
    'Josianne'         => ['146000', '446000'],
    'Joya'             => ['100000', '410000'],
    'Juri'             => ['190000', '490000'],
    'Justyn'           => ['143600', '443600'],
    'Kandeh'           => ['563000'],
    'Kedzie'           => ['540000'],
    'Keshawn'          => ['547600'],
    'Khrushchev'       => ['594700'],
    'Kirlin'           => ['598600'],
    'Kirsten'          => ['594360', '543600'],
    'Kjær'             => ['590000', '549000'],
    'Kleinman'         => ['586660'],
    'Korbin'           => ['597600'],
    'Krista'           => ['594300'],
    'Larkin'           => ['895600'],
    'Laurence'         => ['896500', '896400'],
    'Laverna'          => ['879600'],
    'Lavonne'          => ['876000'],
    'Leia'             => ['810000'],
    'Lia'              => ['800000'],
    'Lilia'            => ['880000'],
    'Loren'            => ['896000'],
    'Louise'           => ['840000'],
    'Lovisa'           => ['874000'],
    'Luella'           => ['880000'],
    'Luise'            => ['840000'],
    'Mable'            => ['678000'],
    'Madonna'          => ['636000'],
    'Majabrith'        => ['617930'],
    'Majad'            => ['613000'],
    'Malomar'          => ['686900'],
    'Mamandew'         => ['666370'],
    'Mame'             => ['660000'],
    'Manheim'          => ['665600'],
    'Manlafy'          => ['668700'],
    'Margareta'        => ['695930'],
    'Marisol'          => ['694800'],
    'Marjolaine'       => ['698600', '694860'],
    'Mary'             => ['690000'],
    'Mathew'           => ['637000'],
    'Mbamoussa'        => ['676400'],
    'Meike'            => ['650000'],
    'Mintz'            => ['664000'],
    'Mirac'            => ['695000', '694000'],
    'Monserrate'       => ['664930'],
    'Moritz'           => ['694000'],
    'Musa'             => ['640000'],
    'Musse'            => ['640000'],
    'Myra'             => ['690000'],
    'Myrtie'           => ['693000'],
    'Nadhim'           => ['635600'],
    'Napel'            => ['678000'],
    'Nash'             => ['640000'],
    'Ndour'            => ['639000'],
    'Nelda'            => ['683000'],
    'Nelli'            => ['680000'],
    'Neoma'            => ['660000'],
    'Niels'            => ['684000'],
    'Novella'          => ['678000'],
    'Nájera'           => ['690000', '649000'],
    'Obaar'            => ['079000'],
    'Oleta'            => ['083000'],
    'Osio'             => ['040000'],
    'Othilie'          => ['038000'],
    'Pabodhi'          => ['773500'],
    'Pagsisihang'      => ['754456'],
    'Pavith'           => ['773000'],
    'Pete'             => ['730000'],
    'Portugal'         => ['793580'],
    'Postcard'         => ['743593', '743493'],
    'Postscript'       => ['743497'],
    'Predovic'         => ['793750', '793740'],
    'Price'            => ['795000', '794000'],
    'Project'          => ['791530', '791430'],
    'Quyne'            => ['560000'],
    'Rachel'           => ['958000', '948000'],
    'Radius'           => ['934000'],
    'Reilly'           => ['980000'],
    'Sabina'           => ['476000'],
    'Sacoura'          => ['459000', '449000'],
    'Safi'             => ['470000'],
    'Saiarr'           => ['419000'],
    'Salgado'          => ['485300'],
    'Samara'           => ['469000'],
    'Samsidine'        => ['464360'],
    'Sanford'          => ['467930'],
    'Sarah'            => ['490000'],
    'Sasha'            => ['440000'],
    'Satterfield'      => ['439783'],
    'Shchaveleva'      => ['278700'],
    'School'           => ['480000'],
    'Schuster'         => ['443900'],
    'Schtolteheim'     => ['283560'],
    'Schtschigry'      => ['259000'],
    'Schwarz'          => ['474000', '479400'],
    'Science'          => ['265000', '264000'],
    'Senger'           => ['465900'],
    'Servín'           => ['497600'],
    'Shad'             => ['430000'],
    'Shawna'           => ['476000'],
    'Shdanow'          => ['267000'],
    'Shtchirowskaya'   => ['297451'],
    'Shtorov'          => ['297000'],
    'Shtshuf'          => ['270000'],
    'Simeon'           => ['466000'],
    'Sipan'            => ['476000'],
    'Sizze'            => ['440000'],
    'Sundqvist'        => ['463574'],
    'Syjuco'           => ['450000', '445000', '440000', '444000'],
    'Sytengco'         => ['436500', '436540'],
    'Tanhehco'         => ['365500', '365400'],
    'Tapia'            => ['370000'],
    'Taya'             => ['310000'],
    'Touchstone'       => ['354360'],
    'Topf'             => ['370000'],
    'Torrealba'        => ['398700'],
    'Trinity'          => ['396300'],
    'Tucson'           => ['346000'],
    'Tupa'             => ['370000'],
    'Uribe'            => ['097000'],
    'Valentina'        => ['786360'],
    'Vera'             => ['790000'],
    'Verna'            => ['796000'],
    'Vickie'           => ['750000', '745000'],
    'Vilhelmine'       => ['785866'],
    'Von'              => ['760000'],
    'Víctor'           => ['753900', '743900'],
    'Webster'          => ['774390'],
    'Westcheste'       => ['744300'],
    'Whitney'          => ['753600'],
    'Wilberto'         => ['787930'],
    'Wilton'           => ['783600'],
    'Wrists'           => ['794340'],
    'Yakou'            => ['150000'],
    'Yaye'             => ['100000'],
    'Yin'              => ['160000'],
    'Yoyoy'            => ['100000'],
    'Zena'             => ['460000']
  }
end
